For the complete documentation index, see llms.txt. This page is also available as Markdown.

地址交易紀錄

查詢指定地址的交易紀錄,並可依資產、金額、時間區間與收付方向篩選。適合檢視地址的資金往來明細。

post
Authorizations
X-API-KeystringRequired
Body

POST /v1/transactions 的請求 body。

addressstringRequired

查詢的地址。

blockchainstringRequired

鏈別(ethereum / bsc / tron …)。

directionstring · nullableOptional
end_timeinteger · nullableOptional
limitinteger · nullableOptional
output_assetstring · nullableOptional
pageinteger · nullableOptional
start_timeinteger · nullableOptional
symbolsstring[] · nullableOptional

要看的幣種 symbol;省略 / 含 all 代表全部。

Responses
200

查詢成功,回傳符合條件的交易明細列表

application/json
post/v1/transactions
POST /v1/transactions HTTP/1.1
Host: api.blockchainsecurity.asia
X-API-Key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 104

{
  "address": "TMuA6YqfCeX8EhbfYEg5y7S4DqzSJireY9",
  "blockchain": "tron",
  "limit": 20,
  "symbols": [
    "trx",
    "usdt"
  ]
}
{
  "data": {
    "address": "TMuA6YqfCeX8EhbfYEg5y7S4DqzSJireY9",
    "chain": "tron",
    "errors": [],
    "is_next_page": true,
    "limit": 2,
    "page": 0,
    "reverse": false,
    "source": "bcs_api",
    "transactions": [
      {
        "amount": 2,
        "amount_usd": "",
        "chain": "tron",
        "contract_hex": "41a614f803b6fd780986a42c78ec9c7f77e6ded13c",
        "fee": 0,
        "from": {
          "address": "TEPSrSYPDSQ7yXpMFPq91Fb1QEWpMkRGfn",
          "chain": "tron",
          "is_contract": false
        },
        "is_from_contract": false,
        "is_to_contract": false,
        "log_index": "0_0",
        "status": 1,
        "success": true,
        "symbol": "41a614f803b6fd780986a42c78ec9c7f77e6ded13c",
        "timestamp": 1764517689,
        "to": {
          "address": "TMuA6YqfCeX8EhbfYEg5y7S4DqzSJireY9",
          "chain": "tron",
          "is_contract": false
        },
        "tokenAddress": "",
        "tx_hash": "8b5e5f9a99d65c0b3aac7f3cbc2ee3029a0d4225054fd99830236d96d853c503",
        "txn_token_type": "41a614f803b6fd780986a42c78ec9c7f77e6ded13c",
        "txn_type": "token",
        "type": "token",
        "value": "2",
        "value_raw": "2000000",
        "value_usd": ""
      },
      {
        "amount": 8.333333,
        "amount_usd": "",
        "chain": "tron",
        "contract_hex": null,
        "fee": 0.268,
        "from": {
          "address": "TDDBTQF2Xu3ALd1hZVqQmPmJ62xMUYYWf2",
          "chain": "tron",
          "is_contract": false
        },
        "is_from_contract": false,
        "is_to_contract": false,
        "log_index": "0_1",
        "status": 1,
        "success": true,
        "symbol": "trx",
        "timestamp": 1757632686,
        "to": {
          "address": "TMuA6YqfCeX8EhbfYEg5y7S4DqzSJireY9",
          "chain": "tron",
          "is_contract": false
        },
        "tokenAddress": "",
        "tx_hash": "8a6f5e4e521bff0741b13b4accc68bd9e421e683eae2c9ce6b10903373dfb49b",
        "txn_token_type": "normal",
        "txn_type": "normal",
        "type": "normal",
        "value": "8.333333",
        "value_raw": "8333333",
        "value_usd": ""
      }
    ]
  },
  "meta": {
    "request_id": "c4f3b211-2d16-4585-8456-46e240b2a789"
  }
}

Last updated

Was this helpful?